## pgbouncer 1.3.1

=== doc/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 -include ../config.mak
 
 MANPAGES = pgbouncer.1 pgbouncer.5
-HTML = config.html usage.html todo.html faq.html
+HTML = config.html usage.html todo.html faq.html README.html
 
 ifneq ($(ASCIIDOC),)
 all: $(MANPAGES)
@@ -48,6 +48,9 @@
 
 %.html: %.txt
 	asciidoc -a toc $<
+
+README.html: ../README
+	asciidoc -a toc -o $@ $<
 endif
 
 clean:
