## pgbouncer 1.3.3

=== Makefile ===
--- 
+++ 
@@ -10,13 +10,16 @@
 # data & dirs to include in tgz
 DOCS = doc/overview.txt doc/usage.txt doc/config.txt doc/todo.txt
 MANPAGES = doc/pgbouncer.1 doc/pgbouncer.5
-DATA = README NEWS AUTHORS etc/pgbouncer.ini etc/userlist.txt Makefile \
+DATA = README NEWS AUTHORS COPYRIGHT etc/pgbouncer.ini etc/userlist.txt Makefile \
        config.mak.in include/config.h.in \
        configure configure.ac debian/packages debian/changelog doc/Makefile \
        test/Makefile test/asynctest.c test/conntest.sh test/ctest6000.ini \
        test/ctest7000.ini test/run-conntest.sh test/stress.py test/test.ini \
-       test/test.sh test/userlist.txt etc/example.debian.init.sh doc/fixman.py
-DIRS = doc etc include src debian test
+       test/test.sh test/userlist.txt etc/example.debian.init.sh doc/fixman.py \
+       win32/eventmsg.mc win32/eventmsg.rc win32/MSG00001.bin \
+       win32/Makefile win32/pgbevent.c \
+       win32/win32support.c win32/win32support.h
+DIRS = doc etc include src debian test win32
 
 # keep autoconf stuff separate
 -include config.mak
@@ -32,6 +35,7 @@
 objs = $(addprefix $(builddir)/lib/, $(OBJS))
 FULL = $(PACKAGE_TARNAME)-$(PACKAGE_VERSION)
 DISTFILES = $(DIRS) $(DATA) $(DOCS) $(srcs) $(hdrs) $(MANPAGES)
+exe = $(builddir)/pgbouncer$(EXT)
 
 CPPCFLAGS += -I$(srcdir)/include
 
@@ -43,6 +47,25 @@
 CPPCFLAGS += -DDBGVER="\"compiled by <$${USER}@`hostname`> at `date '+%Y-%m-%d %H:%M:%S'`\""
 endif
 
+ifeq ($(PORTNAME),win32)
+
+EXT = .exe
+
+CPPFLAGS += -I$(srcdir)/win32
+WSRCS = win32support.c
+WHDRS = win32support.h
+WOBJS = $(WSRCS:.c=.o)
+srcs += $(srcdir)/win32/win32support.c
+hdrs += $(srcdir)/win32/win32support.h
+objs += $(builddir)/lib/win32support.o
+
+dll = $(builddir)/pgbevent.dll
+dlldef = $(builddir)/lib/pgbevent.def
+dllobjs = $(builddir)/lib/eventmsg.o $(builddir)/lib/pgbevent.o
+
+DEFFLAGS = --export-all-symbols -A
+
+endif
 
 # Quiet by default, 'make V=1' shows commands
 V=0
@@ -57,10 +80,10 @@
 ## actual targets now ##
 
 # default target
-all: $(builddir)/pgbouncer doc-all
+all: $(exe) $(dll) doc-all
 
 # final executable
-$(builddir)/pgbouncer: $(builddir)/config.mak $(objs)
+$(exe): $(builddir)/config.mak $(objs)
 	$(E) "	LD" $@
 	$(Q) $(CC) -o $@ $(LDFLAGS) $(objs) $(LIBS)
 
@@ -70,12 +93,20 @@
 	$(E) "	CC" $<
 	$(Q) $(CC) -c -o $@ $< $(DEFS) $(CFLAGS) $(CPPFLAGS)
 
+$(builddir)/lib/%.o: $(srcdir)/win32/%.c $(builddir)/config.mak $(hdrs)
+	@mkdir -p $(builddir)/lib
+	$(E) "	CC" $<
+	$(Q) $(CC) -c -o $@ $< $(DEFS) $(CFLAGS) $(CPPFLAGS)
+
 # install binary and other stuff
-install: $(builddir)/pgbouncer doc-install
+install: $(exe) doc-install
 	mkdir -p $(DESTDIR)$(bindir)
 	mkdir -p $(DESTDIR)$(docdir)
-	$(BININSTALL) -m 755 $(builddir)/pgbouncer $(DESTDIR)$(bindir)
+	$(BININSTALL) -m 755 $(exe) $(DESTDIR)$(bindir)
 	$(INSTALL) -m 644 $(srcdir)/etc/pgbouncer.ini  $(DESTDIR)$(docdir)
+ifeq ($(PORTNAME),win32)
+	$(BININSTALL) -m 755 $(dll) $(DESTDIR)$(bindir)
+endif
 
 # create tarfile
 tgz: config.mak $(DISTFILES) $(MANPAGES)
@@ -98,7 +129,7 @@
 
 # clean object files
 clean: doc-clean
-	rm -f $(objs) $(builddir)/pgbouncer
+	rm -f $(objs) $(exe) $(dll) $(dlldef) $(dllobjs)
 
 # clean configure results
 distclean: clean doc-distclean
@@ -157,3 +188,23 @@
 asms = $(objs:.o=.s)
 asm: $(asms)
 
+ifeq ($(PORTNAME),win32)
+
+$(builddir)/lib/eventmsg.o: $(srcdir)/win32/eventmsg.rc
+	$(E) "	WINDRES" $<
+	$(Q) $(WINDRES) $< -o $@ --include-dir=$(srcdir)/win32
+
+$(dlldef): $(dllobjs)
+	$(E) "	DLLTOOL" $@
+	$(Q) $(DLLTOOL) $(DEFFLAGS) --output-def $@ $(dllobjs)
+
+# final executable
+$(dll): $(builddir)/config.mak $(dllobjs) $(dlldef)
+	$(E) "	DLLWRAP" $@
+	$(Q) $(DLLWRAP) --def $(dlldef) -o $@ $(dllobjs)
+
+endif
+
+stripped: $(exe) $(dll)
+	$(STRIP) $(exe) $(dll)
+
