## pgbouncer 1.4.2

=== Makefile ===
--- 
+++ 
@@ -1,17 +1,18 @@
 
 # sources
 SRCS = client.c loader.c objects.c pooler.c proto.c sbuf.c server.c util.c \
-       admin.c stats.c takeover.c md5.c janitor.c pktbuf.c system.c main.c \
-       varcache.c aatree.c hash.c slab.c
+       admin.c stats.c takeover.c janitor.c pktbuf.c system.c main.c \
+       varcache.c dnslookup.c
 HDRS = client.h loader.h objects.h pooler.h proto.h sbuf.h server.h util.h \
-       admin.h stats.h takeover.h md5.h janitor.h pktbuf.h system.h bouncer.h \
-       list.h mbuf.h varcache.h aatree.h hash.h slab.h iobuf.h
+       admin.h stats.h takeover.h janitor.h pktbuf.h system.h bouncer.h \
+       varcache.h iobuf.h dnslookup.h
 
 # data & dirs to include in tgz
-DOCS = doc/overview.txt doc/usage.txt doc/config.txt doc/todo.txt
+DOCS = doc/overview.txt doc/usage.txt doc/config.txt doc/todo.txt doc/faq.txt
 MANPAGES = doc/pgbouncer.1 doc/pgbouncer.5
 DATA = README NEWS AUTHORS COPYRIGHT etc/pgbouncer.ini etc/userlist.txt Makefile \
-       config.mak.in include/config.h.in \
+       config.mak.in etc/mkauth.py \
+       config.sub config.guess install-sh autogen.sh \
        configure configure.ac debian/packages debian/changelog doc/Makefile \
        test/Makefile test/asynctest.c test/conntest.sh test/ctest6000.ini \
        test/ctest7000.ini test/run-conntest.sh test/stress.py test/test.ini \
@@ -28,23 +29,27 @@
 srcdir ?= .
 builddir ?= .
 
+local_hdrs = $(addprefix $(srcdir)/include/, $(HDRS))
+local_srcs = $(addprefix $(srcdir)/src/, $(SRCS))
+
+USUAL_DIR = $(srcdir)/lib
+USUAL_OBJDIR = $(builddir)/obj
+USUAL_LOCAL_SRCS = $(local_srcs) $(local_hdrs)
+include $(USUAL_DIR)/Setup.mk
+
 # calculate full-path values
 OBJS = $(SRCS:.c=.o)
-hdrs = $(addprefix $(srcdir)/include/, $(HDRS))
-srcs = $(addprefix $(srcdir)/src/, $(SRCS))
-objs = $(addprefix $(builddir)/lib/, $(OBJS))
+hdrs = $(local_hdrs) $(USUAL_HDRS)
+srcs = $(local_srcs)
+objs = $(addprefix $(builddir)/obj/, $(OBJS)) $(USUAL_OBJS)
 FULL = $(PACKAGE_TARNAME)-$(PACKAGE_VERSION)
-DISTFILES = $(DIRS) $(DATA) $(DOCS) $(srcs) $(hdrs) $(MANPAGES)
+DISTFILES = $(DIRS) $(DATA) $(DOCS) $(local_srcs) $(local_hdrs) $(MANPAGES)
 exe = $(builddir)/pgbouncer$(EXT)
 
-CPPCFLAGS += -I$(srcdir)/include
-
-ifneq ($(builddir),$(srcdir))
-CPPCFLAGS += -I$(builddir)/include
-endif
+CPPFLAGS := -I$(srcdir)/include $(USUAL_CPPFLAGS) $(CPPFLAGS)
 
 ifeq ($(enable_debug),yes)
-CPPCFLAGS += -DDBGVER="\"compiled by <$${USER}@`hostname`> at `date '+%Y-%m-%d %H:%M:%S'`\""
+CPPFLAGS += -DDBGVER="\"compiled by <$${USER}@`hostname`> at `date '+%Y-%m-%d %H:%M:%S'`\""
 endif
 
 ifeq ($(PORTNAME),win32)
@@ -57,11 +62,11 @@
 WOBJS = $(WSRCS:.c=.o)
 srcs += $(srcdir)/win32/win32support.c
 hdrs += $(srcdir)/win32/win32support.h
-objs += $(builddir)/lib/win32support.o
+objs += $(builddir)/obj/win32support.o
 
 dll = $(builddir)/pgbevent.dll
-dlldef = $(builddir)/lib/pgbevent.def
-dllobjs = $(builddir)/lib/eventmsg.o $(builddir)/lib/pgbevent.o
+dlldef = $(builddir)/obj/pgbevent.def
+dllobjs = $(builddir)/obj/eventmsg.o $(builddir)/obj/pgbevent.o
 
 DEFFLAGS = --export-all-symbols -A
 
@@ -85,16 +90,24 @@
 # final executable
 $(exe): $(builddir)/config.mak $(objs)
 	$(E) "	LD" $@
-	$(Q) $(CC) -o $@ $(LDFLAGS) $(objs) $(LIBS)
+	$(Q) $(CC) -o $@ $(CFLAGS) $(LDFLAGS) $(objs) $(LIBS)
+ifeq ($(enable_debug),no)
+	$(STRIP) $@
+endif
 
 # objects depend on all the headers
-$(builddir)/lib/%.o: $(srcdir)/src/%.c $(builddir)/config.mak $(hdrs)
-	@mkdir -p $(builddir)/lib
+$(builddir)/obj/%.o: $(srcdir)/src/%.c $(builddir)/config.mak $(hdrs)
+	@mkdir -p $(builddir)/obj
 	$(E) "	CC" $<
 	$(Q) $(CC) -c -o $@ $< $(DEFS) $(CFLAGS) $(CPPFLAGS)
 
-$(builddir)/lib/%.o: $(srcdir)/win32/%.c $(builddir)/config.mak $(hdrs)
-	@mkdir -p $(builddir)/lib
+$(builddir)/obj/%.o: $(srcdir)/win32/%.c $(builddir)/config.mak $(hdrs)
+	@mkdir -p $(builddir)/obj
+	$(E) "	CC" $<
+	$(Q) $(CC) -c -o $@ $< $(DEFS) $(CFLAGS) $(CPPFLAGS)
+
+$(builddir)/obj/%.o: $(USUAL_DIR)/usual/%.c $(builddir)/config.mak $(hdrs)
+	@mkdir -p $(builddir)/obj
 	$(E) "	CC" $<
 	$(Q) $(CC) -c -o $@ $< $(DEFS) $(CFLAGS) $(CPPFLAGS)
 
@@ -112,7 +125,8 @@
 tgz: config.mak $(DISTFILES) $(MANPAGES)
 	rm -rf $(FULL) $(FULL).tgz
 	mkdir $(FULL)
-	(for f in $(DISTFILES); do echo $$f; done) | cpio -pm $(FULL)
+	(for f in $(DISTFILES) $(USUAL_DIR) $(USUAL_DIST) $(USUAL_HDRS) $(USUAL_SRCS); \
+		do echo $$f; done) | cpio -pm $(FULL)
 	tar czf $(FULL).tgz $(FULL)
 	rm -rf $(FULL)
 
@@ -134,7 +148,7 @@
 # clean configure results
 distclean: clean doc-distclean
 	rm -f include/config.h include/config.h.in~ config.log config.status config.mak
-	rm -rf lib autom4te*
+	rm -rf obj autom4te*
 
 # clean autoconf results
 realclean: distclean doc-realclean
@@ -143,8 +157,7 @@
 
 # generate configure script and config.h.in
 boot:
-	autoreconf -i -f
-	rm -rf autom4te* include/config.h.in~
+	./autogen.sh
 
 # targets can depend on this to force ./configure
 $(builddir)/config.mak::
@@ -176,21 +189,22 @@
 
 # profiled exe
 pgbouncer.pg:
-	$(CC) -pg $(DEFS) -g -O2 $(CPPFLAGS) $(LDFLAGS) -o $@ $(srcs) $(LIBS)
+	$(CC) -pg $(DEFS) -g -O2 $(CPPFLAGS) $(CFLAGS) $(LDFLAGS) -o $@ $(srcs) $(LIBS)
 
 pg: pgbouncer.pg
 
 # asm hacks
-$(builddir)/lib/%.s: $(srcdir)/src/%.c config.mak $(hdrs)
-	@mkdir -p $(builddir)/lib
+$(builddir)/obj/%.s: $(srcdir)/src/%.c config.mak $(hdrs)
+	@mkdir -p $(builddir)/obj
 	$(E) "	CC -S" $<
-	$(Q) $(CC) -S -fverbose-asm -o $@ $< $(DEFS) $(CFLAGS) $(CPPFLAGS)
+	$(Q) $(CC) -S -fverbose-asm -o - $< $(DEFS) $(CFLAGS) $(CPPFLAGS) \
+	| cleanasm > $@
 asms = $(objs:.o=.s)
 asm: $(asms)
 
 ifeq ($(PORTNAME),win32)
 
-$(builddir)/lib/eventmsg.o: $(srcdir)/win32/eventmsg.rc
+$(builddir)/obj/eventmsg.o: $(srcdir)/win32/eventmsg.rc
 	$(E) "	WINDRES" $<
 	$(Q) $(WINDRES) $< -o $@ --include-dir=$(srcdir)/win32
 
@@ -202,9 +216,32 @@
 $(dll): $(builddir)/config.mak $(dllobjs) $(dlldef)
 	$(E) "	DLLWRAP" $@
 	$(Q) $(DLLWRAP) --def $(dlldef) -o $@ $(dllobjs)
-
-endif
+	$(STRIP) $@
+endif
+
+zip = pgbouncer-$(PACKAGE_VERSION)-win32.zip
+
+zip: configure
+	make distclean
+	./configure i586-mingw32msvc --disable-debug --with-libevent=/opt/apps/win32 --enable-evdns
+	make -C doc html
+	make pgbouncer.exe pgbevent.dll
+	cp COPYRIGHT doc/COPYRIGHT.txt
+	cp AUTHORS doc/AUTHORS.txt
+	make packzip
+
+packzip: pgbouncer.exe
+	rm -f $(zip)
+	zip $(zip) pgbouncer.exe pgbevent.dll doc/AUTHORS.txt doc/COPYRIGHT.txt doc/*.html etc/pgbouncer.ini etc/userlist.txt
+	rm -f doc/AUTHORS.txt doc/COPYRIGHT.txt
+
+zipupload: $(zip)
+	rsync $(zip) pgf:web/pgbouncer/htdocs/win32/
 
 stripped: $(exe) $(dll)
 	$(STRIP) $(exe) $(dll)
 
+tmp:
+	@echo CPPFLAGS=$(CPPFLAGS)
+	@echo USUAL_CPPFLAGS=$(USUAL_CPPFLAGS)
+	@echo USUAL_LDFLAGS=$(USUAL_LDFLAGS)
