=== doc/Makefile ===
--- 
+++ 
@@ -1,11 +1,13 @@
 
-wiki = https://developer.skype.com/SkypeGarage/DbProjects/PgBouncer
-web = mkz@shell.pgfoundry.org:/home/pgfoundry.org/groups/pgbouncer/htdocs/
+web = pgf:/home/pgfoundry.org/groups/pgbouncer/htdocs/
 
 -include ../config.mak
 
 MANPAGES = pgbouncer.1 pgbouncer.5
 HTML = config.html usage.html todo.html faq.html README.html
+
+#FIXMAN = python fixman.py
+FIXMAN = cat
 
 ifneq ($(ASCIIDOC),)
 all: $(MANPAGES)
@@ -26,12 +28,6 @@
 
 html: $(HTML)
 
-upload:
-	devupload.sh overview.txt $(wiki)
-	#devupload.sh todo.txt $(wiki)/ToDo
-	#devupload.sh usage.txt $(wiki)/UsageInfo
-	#devupload.sh config.txt $(wiki)/ConfigFile
-
 ifneq ($(XMLTO),)
 pgbouncer.1: usage.xml
 	xmlto man $<
@@ -44,7 +40,7 @@
 %.xml: %.txt
 	#asciidoc -b docbook -d manpage -o - $< > $@
 	asciidoc -b docbook -d manpage -o - $< \
-	| python fixman.py > $@
+	| $(FIXMAN) > $@
 
 %.html: %.txt
 	asciidoc -a toc $<
