=== debian/changelog ===
pgbouncer (1.4.2-2ubuntu0.1) precise-security; urgency=low

  * SECURITY UPDATE: denial of service when too long db name is provided
    (LP: #1083414)
    - debian/patches/2-CVE-2012-4575.patch: objects.c(add_database): fail
      gracefully if too long db name. Based on upstream patch.
    - CVE-2012-4575

 -- Christian Kuersteiner <ckuerste@gmx.ch>  Tue, 04 Dec 2012 22:21:56 +0700

pgbouncer (1.4.2-2build1) precise; urgency=low

  * No-change rebuild to drop spurious libsfgcc1 dependency on armhf.

 -- Adam Conrad <adconrad@0c3.net>  Fri, 02 Dec 2011 21:04:25 -0700

pgbouncer (1.4.2-2) unstable; urgency=low

  * Honor START=0 for the restart action.  Patch by Chris Lamb, thanks!
    Closes: #640796.

 -- Christoph Berg <myon@debian.org>  Thu, 08 Sep 2011 09:45:23 +0200

pgbouncer (1.4.2-1) unstable; urgency=low

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Fri, 17 Jun 2011 15:41:53 +0200

pgbouncer (1.4.1-1) unstable; urgency=low

  * New upstream release.
  * Remove the endian patch, implemented upstream.
  * Use source format 3.0 (quilt) because the upstream tarball has its own
    debian/ dir. Ignore lib/usual/config.h in source/options.

 -- Christoph Berg <myon@debian.org>  Tue, 12 Apr 2011 13:42:40 +0200

pgbouncer (1.4-2) unstable; urgency=low

  * Add myself as maintainer.
  * Use the system endian.h on *bsd. Closes: #619676
  * Add quilt to Build-Depends.
  * Move debian/config.patch to quilt and comment out example databases in
    config file.
  * Update long description.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Mar 2011 17:29:39 +0200

pgbouncer (1.4-1) unstable; urgency=low

  * New upstream release.
  * Remove .orig file after patching pgbouncer.ini 

 -- Bernd Zeimetz <bzed@debian.org>  Mon, 14 Feb 2011 13:26:29 +0100

pgbouncer (1.3.3-2) unstable; urgency=low

  * Added myself to uploaders
  * Fixed debian/copyright to match reality
  * Updated standards version
  * Install configuration files with more secure permissions (closes: #548887)

 -- Peter Eisentraut <petere@debian.org>  Thu, 05 Aug 2010 21:57:00 +0300

pgbouncer (1.3.3-1) unstable; urgency=low

  * New upstream version. 
  * Bumping Standards-Version to 3.8.4, no changes needed. 
  * Removing dpatch - no patches needed anymore since several releases. 
  * Use source format 1.0 for easy backporting.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 16 May 2010 03:15:41 +0200

pgbouncer (1.3.2-1) unstable; urgency=low

  * New upstream version. 

 -- Bernd Zeimetz <bzed@debian.org>  Wed, 24 Mar 2010 23:10:02 +0100

pgbouncer (1.3.1-3) unstable; urgency=low

  * Really change the init script now - unfortunately the old one found
    its way back into the package.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 24 Jan 2010 12:24:34 +0100

pgbouncer (1.3.1-2) unstable; urgency=low

  * Chaging Section to database, which is the new section for
    database related tools.
  * Require $remote_fs on start/stop in the init script. (Lintian:
    init.d-script-missing-dependency-on-remote_fs)
  * Use pgbouncer as the name the init script provides instead
    of pgbouncer2. (Lintian: init.d-script-does-not-provide-itself)

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 24 Jan 2010 00:55:35 +0100

pgbouncer (1.3.1-1) unstable; urgency=low

  * New upstream release. 
  * debian/init: Use reload instead of restart when force-reload
    was called, thanks to Peter Eisentraut for the bug report.
    Closes: #538006
  * Ensure that pgbounce stops, even if clients are connected.
    Thanks to Cyril Bouthors for the patch. Closes: #523066
  * Bumping Standards-Version to 3.8.2, no changes needed. 

 -- Bernd Zeimetz <bzed@debian.org>  Thu, 23 Jul 2009 16:23:52 +0200

pgbouncer (1.3-1) unstable; urgency=low

  [ Fernando Ike de Oliveira ]
  * New upstream release.
  * debian/init:
    - pgbouncer.log and start script duplicated start message were removed.
    - patch that change pgbouncer to port 6432 (default upstream) was removed
  * debian/config.patch.
    - pgbouncer.ini patch new version was fixed.
  * win32 directory was removed from the original source code.

  [ Bernd Zeimetz ]
  * debian/watch, debian/uscan-repack.sh: Adding script to repackage upstream
    source with uscan automatically. The included debian and win32 dir will
    be removed.

 -- Bernd Zeimetz <bzed@debian.org>  Sun, 01 Mar 2009 03:48:18 +0100

pgbouncer (1.2.3-2) unstable; urgency=low

  * debian/control:
    - pgbouncer needs a versioned dependency on libevent-dev (>= 1.3b).
  * debian/init:
    - Implementing reload by sending SIGHUP to the daemon.
    - Better start/stop log messages.
  * debian/default:
    - Explain how to change the daemon options.

 -- Bernd Zeimetz <bzed@debian.org>  Tue, 30 Sep 2008 10:42:06 +0200

pgbouncer (1.2.3-1) unstable; urgency=low

  [ Fernando Ike de Oliveira ]
  * New upstream Release.
  * Change listen port to 5433.
  * Added fields Enhances and Conflicts.

  [ Bernd Zeimetz ]
  * Changes done by Fernando Ike de Oliveira, but without a proper
    changelog entry:
    - The new upstream release closes: #499531
    - debian/control: Depend on postgresql-common to make sure the postgres
      user exists (Closes: #499521).
    - Fixed init script, not using -n option anymore (Closes: #499522)
    - Bumping Standards-Version to 3.8.0
  * Adding myself to Uploaders.
  * The following changes are a general cleanup of the package,
    unfortunately these things were never detected by the former
    sponsor. Sorry Fernando, but I also have to revert some of your
    recent changes.
    - debian/control:
      * Fixing the long description, removing the copy of the short
        description from it and switch to a better indenting.
      * Adding python as Build-Dependency, upstream is using it to
        fix the generated manpages.
      * Removing extra blank lines.
      * pgbouncer supports PostgreSQL versions 7.4 and higher, changing the
        Enhances field accordingly.

