=== debian/control ===
Source: pgbouncer
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christoph Berg <myon@debian.org>
Uploaders: Bernd Zeimetz <bzed@debian.org>, Peter Eisentraut <petere@debian.org>
Section: database
Priority: optional
Standards-Version: 3.9.2
Build-Depends: cdbs, debhelper (>= 7), libevent-dev (>= 1.3b), asciidoc, xmlto, python
Homepage: http://pgfoundry.org/projects/pgbouncer/
Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/pgbouncer/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/pgbouncer/

Package: pgbouncer
Architecture: any
Depends: lsb-base (>= 3.1), postgresql-common (>= 26), ${misc:Depends}, ${shlibs:Depends}
Enhances: postgresql (>= 7.4)
Description: lightweight connection pooler for PostgreSQL
 PgBouncer is a lightweight connection pooler for PostgreSQL providing the
 following features:
 .
  * Several levels of brutality when rotating connections: session pooling,
    transaction pooling, statement pooling.
  * Low memory requirements.
  * It is not tied to one backend server, the destination databases
    can reside on different hosts.
  * Supports online reconfiguration for most of the settings.
  * Supports online restart/upgrade.
