=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

#DH_VERBOSE = 1

DEB_CONFIGURE_EXTRA_FLAGS := --bindir=/usr/sbin 
DEB_UPDATE_RCD_PARAMS := defaults 20 18

clean::
	find doc -name "pgbouncer.*" -exec rm {} \;

install/pgbouncer::
	rm -f $(CURDIR)/debian/pgbouncer/usr/share/doc/pgbouncer/pgbouncer.ini
	mkdir -p $(CURDIR)/debian/pgbouncer/etc/pgbouncer
	touch $(CURDIR)/debian/pgbouncer/etc/pgbouncer/userlist.txt
