=== debian/changelog ===
pgbouncer (1.5-1) unstable; urgency=low

  [ Peter Eisentraut ]
  * Update watch file to allow .tar.gz in addition to .tgz
  * Remove obsolete README.source and repack support in watch file

  [ Christoph Berg ]
  * New upstream release.
  * Use start-stop-daemon for stopping the daemon.  Closes: #641568.
  * Use pgbouncer -R to restart in place, thanks Cody Cutrer for the patch.
    Closes: #657204.
  * Update URL in README.Debian.  Closes: #655283.

 -- Christoph Berg <myon@debian.org>  Fri, 27 Jan 2012 17:40:22 +0100
