=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pgbouncer
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Christoph Berg <myon@debian.org>
+Maintainer: Christoph Berg <myon@debian.org>
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Peter Eisentraut <petere@debian.org>
 Section: database
 Priority: optional
