=== debian/changelog ===
pgbouncer (1.5.2-4+deb7u1) wheezy; urgency=medium

  * Fix remote crash - invalid packet order causes lookup of NULL pointer.
    Not exploitable, just DoS. (CVE-2015-4054)
    Cherry-picked from upstream 1.5.5.

 -- Christoph Berg <myon@debian.org>  Sat, 23 May 2015 22:58:29 +0200

pgbouncer (1.5.2-4) unstable; urgency=medium

  * Cherry-pick from 1.5.3:  Closes: #692103.
    http://git.postgresql.org/gitweb/?p=pgbouncer.git;a=commitdiff;h=4b92112b820830b30cd7bc91bef3dd8f35305525
    Thanks to Markus Wanner for helping fix this.

    = Critical fix =
    * Too long database names can lead to crash, which
      is remotely triggerable if autodbs are enabled.

      The original checks assumed all names come from config files,
      thus using fatal() was fine, but when autodbs are enabled
      - by '*' in [databases] section - the database name can come
      from network thus making remote shutdown possible.

 -- Christoph Berg <myon@debian.org>  Fri, 02 Nov 2012 10:05:27 +0100

pgbouncer (1.5.2-3) unstable; urgency=low

  * Re-add check for START=0 in the init script.  Spotted by Sergey Burladyan.
    Closes: #687577.
  * Repository moved to git.

 -- Christoph Berg <myon@debian.org>  Sun, 07 Oct 2012 19:16:34 +0200

pgbouncer (1.5.2-2) unstable; urgency=low

  * Init script: Use --oknodo.  Closes: #681978.
    Create /var/run/postgresql when missing.  Closes: #681372.

 -- Christoph Berg <myon@debian.org>  Thu, 26 Jul 2012 13:12:23 +0200

pgbouncer (1.5.2-1) unstable; urgency=low

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Jun 2012 17:52:32 +0200

pgbouncer (1.5.1-1) unstable; urgency=low

  [ Peter Eisentraut ]
  * Remove duplicate userlist.txt from doc directory

  [ Christoph Berg ]
  * Replace lsb init functions with plain echo. Spotted by Alexey Potehin.
  * Refresh debian-changes patch, most of our changes went upstream.

 -- Christoph Berg <myon@debian.org>  Mon, 30 Apr 2012 14:31:35 +0200
