=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Bernd Zeimetz <bzed@debian.org>, Peter Eisentraut <petere@debian.org>
 Section: database
 Priority: optional
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Build-Depends: cdbs, debhelper (>= 7), libevent-dev (>= 1.3b), asciidoc, xmlto, python
 Homepage: http://pgfoundry.org/projects/pgbouncer/
-Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/pgbouncer/
-Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/pgbouncer/
+Vcs-Git: git://anonscm.debian.org/pkg-postgresql/pgbouncer.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-postgresql/pgbouncer.git
 
 Package: pgbouncer
 Architecture: any
