=== debian/rules ===
--- 
+++ 
@@ -11,6 +11,6 @@
 	rm -f doc/*.xml
 
 install/pgbouncer::
-	rm -f $(CURDIR)/debian/pgbouncer/usr/share/doc/pgbouncer/pgbouncer.ini
+	rm -f $(addprefix $(CURDIR)/debian/pgbouncer/usr/share/doc/pgbouncer/,pgbouncer.ini userlist.txt)
 	mkdir -p $(CURDIR)/debian/pgbouncer/etc/pgbouncer
 	touch $(CURDIR)/debian/pgbouncer/etc/pgbouncer/userlist.txt
